<template>
  <div id="app">
    <MainMasterpage></MainMasterpage>
    <form class="internship-form">
    <h1>Додати пропозицію стажування</h1>
      <div class="form-group">
        <label for="title">Назва пропозиції</label>
        <input v-model="interships.title" type="text" id="title" />
      </div>
      <div class="form-group">
        <label for="title">Факультет</label>
        <input v-model="interships.faculty" type="text" id="title" />
      </div>
      <div class="form-group">
        <label for="course">Курс</label>
        <input v-model="interships.course" type="number" id="course" />
      </div>
      <div class="form-group">
        <label for="info">Детальна інформація</label>
        <input v-model="interships.info" type="text" id="info" />
      </div>
      <button @click="addItem(interships)">Додати</button>
    </form>
    <Footer/>
    <router-view />
  </div>
</template>

<script>
import MainMasterpage from '@/masterpages/MainMasterpage.vue';
import { mapGetters, mapActions } from 'vuex'
import Footer from '@/masterpages/Footer.vue';
export default {
  components: {
    MainMasterpage,
    Footer,
  },
  name: 'HomeView',
    data() {
        return {
            interships:{},
        }
    },
    computed: {
        ...mapGetters('interships',['getItemsList', 'isLoading']),
    },
    created() {
        this.loadList()
    },
    methods: {
        ...mapActions('interships',['loadList', 'addItem', 'deleteItem', 'updateItem', 'loadFilteredData']),
    },
};
</script>


<style scoped>
.internship-form {
  max-width: 600px;
  margin: 0 auto;
  padding: 20px;

  margin-top: 50px;
}

h1 {
  font-size: 24px;
  margin-bottom: 20px;
}

.internship-form {
  background-color: #f4f4f4;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.form-group {
  margin-bottom: 15px;
}

label {
  display: block;
  font-weight: bold;
  margin-bottom: 5px;
}

input {
  width: 100%;
  padding: 8px;
  box-sizing: border-box;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 14px;
}

button {
  background-color: #3498db;
  color: #fff;
  padding: 10px 15px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 16px;
}

button:hover {
  background-color: #258cd1;
}
</style>
